Bug 242477 - Wrong init script
Wrong init script
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: irqbalance (Show other bugs)
5.0
All Linux
high Severity high
: rc
: ---
Assigned To: Neil Horman
: Regression
Depends On:
Blocks: 237789 242478 242479
  Show dependency treegraph
 
Reported: 2007-06-04 10:09 EDT by Michal Marciniszyn
Modified: 2014-02-10 18:02 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0419
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 13:21:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to correct irqblance exit codes (760 bytes, patch)
2007-06-04 10:49 EDT, Neil Horman
no flags Details | Diff

  None (edit)
Description Michal Marciniszyn 2007-06-04 10:09:30 EDT
Description of problem:
The irqbalance init script contains several wrong return code constructions. For
example
[ `id -u` = 0 ] || exit 0
and several others. They not only return wrong codes but also prevent correct
invocation of status command.

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.
Comment 1 Neil Horman 2007-06-04 10:49:27 EDT
Created attachment 156080 [details]
patch to correct irqblance exit codes

I've updated the exit codes to reflect the LSB specification:
http://refspecs.freestandards.org/LSB_3.1.0/LSB-Core-generic/LSB-Core-generic/iniscrptact.html


Please test and ensure they pass your tests.  Thanks!
Comment 2 Neil Horman 2007-08-29 10:28:54 EDT
This is fixed on my 52 branch and will be checked in when 5.1 ships
Comment 3 RHEL Product and Program Management 2007-10-19 16:28:52 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 11 errata-xmlrpc 2008-05-21 13:21:17 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0419.html

Note You need to log in before you can comment on or make changes to this bug.